#! ruby -Ks
  # (coding: Windows-31J)
require "rubygems"
require "kramdown"
        ##
template_str = <<EOS
<% if RUBY_VERSION >= '1.9'
     enc = @converter.root.options[:encoding]
     enc = Encoding.default_external unless enc
     cset = enc.to_s =~ /windows-31j|cp932|sjis|shift.jis/i ?
         'Shift_JIS' : enc.to_s
   else
     enc = $KCODE.to_s[0,1].downcase
     enc = 'w' unless ['e', 's'].include?(enc)
     cset = {'e'=>'euc-jp', 's'=>'Shift_JIS', 'w'=>'utf-8'}[enc]
   end
%>\
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-type" content="text/html; charset=<%= cset %>" />
<% extend ::Kramdown::Utils::Html
title = ''
h = @converter.root.children.find {|c| c.type == :header}
if h
  collector = lambda {|c| c.children.collect {|cc| cc.type == :text ?
  escape_html(cc.value, :text) : collector.call(cc)}.join('')}
  title = collector.call(h)
  title = title.encode(enc) if RUBY_VERSION >= '1.9'
end %>\
<title><%= title %></title>
<meta name="generator" content="kramdown <%= ::Kramdown::VERSION %>" />
</head>
<body>
<%= @body %>
</body>
</html>
EOS
        ##
template_dir = Kramdown.data_dir
template_file = "document02.html"
filename = sprintf("%s/%s", template_dir, template_file)
File.open(filename, "w") {|ff|  ff.write template_str}
puts "create a template file: '#{template_file}' in '#{template_dir}'"
